//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
// Klasa reprezentujaca obiekt ruchomy --------------------------------------
class Sprite
{
  public:
    Sprite() : pos( 0, 0 ), time( 0 ), bitmap( 0 )
    {
    }
    TPoint pos;
    int    time;
    int    sleepTime;
    
    Graphics::TBitmap * bitmap;
};
const int NumOfSprites = 2;

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TTimer *Timer1;
        TPanel *Panel1;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        // Wskazniki do bitmap latajacych duszkow
        Graphics::TBitmap *s1;
        Graphics::TBitmap *s2;
        // Wskaznik dla bitmapy geby
        Graphics::TBitmap *smileBmp;
        // Wskaznik dla bitmapy tla
        Graphics::TBitmap *bcgBmp;
        // Wskaznik dla bitmapy -- bufora roboczego
        Graphics::TBitmap *workBmp;
        // Prostokat bitmapy tla
        TRect bcgRect;
        // Aktualna pozycja geby
        TPoint smilePos;
        // Tablica latajacych duszkow
        Sprite sprites[ NumOfSprites ];

        void InitObjects();

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 